SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


CREATE TABLE IF NOT EXISTS `branches` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `branch_name` varchar(455) CHARACTER SET utf8 NOT NULL,
  `branch_desc` varchar(800) CHARACTER SET utf8 DEFAULT NULL,
  `system_row` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `branches`
--

INSERT INTO `branches` (`id`, `branch_name`, `branch_desc`, `system_row`) VALUES
(1, 'Head Office', 'Description 1', 1);

-- --------------------------------------------------------

--
-- Структура таблицы `countries`
--

CREATE TABLE IF NOT EXISTS `countries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_name` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=252 ;

--
-- Дамп данных таблицы `countries`
--

INSERT INTO `countries` (`id`, `country_name`) VALUES
(2, 'Afghanistan'),
(3, 'Egypt'),
(5, 'Albania'),
(6, 'Algeria'),
(7, 'American Samoa'),
(8, 'Virgin Islands, U.s.'),
(9, 'Andorra'),
(10, 'Angola'),
(11, 'Anguilla'),
(12, 'Antarctica'),
(13, 'Antigua And Barbuda'),
(14, 'Equatorial Guinea'),
(15, 'Argentina'),
(16, 'Armenia'),
(17, 'Aruba'),
(18, 'Ascension'),
(19, 'Azerbaijan'),
(20, 'Ethiopia'),
(21, 'Australia'),
(22, 'Bahamas'),
(23, 'Bahrain'),
(24, 'Bangladesh'),
(25, 'Barbados'),
(26, 'Belgium'),
(27, 'Belize'),
(28, 'Benin'),
(29, 'Bermuda'),
(30, 'Bhutan'),
(31, 'Bolivia'),
(32, 'Bosnia And Herzegovina'),
(33, 'Botswana'),
(34, 'Bouvet Island'),
(35, 'Brazil'),
(36, 'Virgin Islands, British'),
(37, 'British Indian Ocean Territory'),
(38, 'Brunei Darussalam'),
(39, 'Bulgaria'),
(40, 'Burkina Faso'),
(41, 'Burundi'),
(42, 'Chile'),
(43, 'China'),
(44, 'Cook Islands'),
(45, 'Costa Rica'),
(46, 'C?te D''ivoire'),
(47, 'Denmark'),
(48, 'Germany'),
(49, 'Saint Helena'),
(50, 'Diego Garcia'),
(51, 'Dominica'),
(52, 'Dominican Republic'),
(53, 'Djibouti'),
(54, 'Ecuador'),
(55, 'El Salvador'),
(56, 'Eritrea'),
(57, 'Estonia'),
(58, 'Europ?ische Union'),
(59, 'Falkland Islands (malvinas)'),
(60, 'Faroe Islands'),
(61, 'Fiji'),
(62, 'Finland'),
(63, 'France'),
(64, 'French Guiana'),
(65, 'French Polynesia'),
(66, 'French Southern Territories'),
(67, 'Gabon'),
(68, 'Gambia'),
(69, 'Georgia'),
(70, 'Ghana'),
(71, 'Gibraltar'),
(72, 'Grenada'),
(73, 'Greece'),
(74, 'Greenland'),
(75, 'European Union'),
(76, 'Guam'),
(77, 'Guatemala'),
(78, 'Guernsey'),
(79, 'Guinea'),
(80, 'Guinea-bissau'),
(81, 'Guyana'),
(82, 'Haiti'),
(83, 'Heard Island And Mcdonald Islands'),
(84, 'Honduras'),
(85, 'Hong Kong'),
(86, 'India'),
(87, 'Indonesia'),
(88, 'Isle Of Man'),
(89, 'Iraq'),
(90, 'Iran, Islamic Republic Of'),
(91, 'Ireland'),
(92, 'Iceland'),
(93, 'Israel'),
(94, 'Italy'),
(95, 'Jamaica'),
(96, 'Japan'),
(97, 'Yemen'),
(98, 'Jersey'),
(99, 'Jordan'),
(100, 'Cayman Islands'),
(101, 'Cambodia'),
(102, 'Cameroon'),
(103, 'Canada'),
(104, 'Kanarische Inseln'),
(105, 'Cape Verde'),
(106, 'Kazakhstan'),
(107, 'Qatar'),
(108, 'Kenya'),
(109, 'Kyrgyzstan'),
(110, 'Kiribati'),
(111, 'Cocos (keeling) Islands'),
(112, 'Colombia'),
(113, 'Comoros'),
(114, 'Congo, The Democratic Republic Of The'),
(115, 'Congo'),
(116, 'Korea, Democratic People''s Republic Of'),
(117, 'Korea, Republic Of'),
(118, 'Croatia'),
(119, 'Cuba'),
(120, 'Kuwait'),
(121, 'Lao People''s Democratic Republic'),
(122, 'Lesotho'),
(123, 'Latvia'),
(124, 'Lebanon'),
(125, 'Liberia'),
(126, 'Libyan Arab Jamahiriya'),
(127, 'Liechtenstein'),
(128, 'Lithuania'),
(129, 'Luxembourg'),
(130, 'Macao'),
(131, 'Madagascar'),
(132, 'Malawi'),
(133, 'Malaysia'),
(134, 'Maldives'),
(135, 'Mali'),
(136, 'Malta'),
(137, 'Morocco'),
(138, 'Marshall Islands'),
(139, 'Martinique'),
(140, 'Mauritania'),
(141, 'Mauritius'),
(142, 'Mayotte'),
(143, 'Macedonia, The Former Yugoslav Republic Of'),
(144, 'Mexico'),
(145, 'Micronesia, Federated States Of'),
(146, 'Moldova'),
(147, 'Monaco'),
(148, 'Mongolia'),
(149, 'Montserrat'),
(150, 'Mozambique'),
(151, 'Myanmar'),
(152, 'Namibia'),
(153, 'Nauru'),
(154, 'Nepal'),
(155, 'New Caledonia'),
(156, 'New Zealand'),
(157, 'Neutrale Zone'),
(158, 'Nicaragua'),
(159, 'Netherlands'),
(160, 'Netherlands Antilles'),
(161, 'Niger'),
(162, 'Nigeria'),
(163, 'Niue'),
(164, 'Northern Mariana Islands'),
(165, 'Norfolk Island'),
(166, 'Norway'),
(167, 'Oman'),
(168, 'Austria'),
(169, 'Pakistan'),
(170, 'Palestinian Territory, Occupied'),
(171, 'Palau'),
(172, 'Panama'),
(173, 'Papua New Guinea'),
(174, 'Paraguay'),
(175, 'Peru'),
(176, 'Philippines'),
(177, 'Pitcairn'),
(178, 'Poland'),
(179, 'Portugal'),
(180, 'Puerto Rico'),
(181, 'R?union'),
(182, 'Rwanda'),
(183, 'Romania'),
(184, 'Russian Federation'),
(185, 'Solomon Islands'),
(186, 'Zambia'),
(187, 'Samoa'),
(188, 'San Marino'),
(189, 'Sao Tome And Principe'),
(190, 'Saudi Arabia'),
(191, 'Sweden'),
(192, 'Switzerland'),
(193, 'Senegal'),
(194, 'Serbien und Montenegro'),
(195, 'Seychelles'),
(196, 'Sierra Leone'),
(197, 'Zimbabwe'),
(198, 'Singapore'),
(199, 'Slovakia'),
(200, 'Slovenia'),
(201, 'Somalia'),
(202, 'Spain'),
(203, 'Sri Lanka'),
(204, 'Saint Kitts And Nevis'),
(205, 'Saint Lucia'),
(206, 'Saint Pierre And Miquelon'),
(207, 'Saint Vincent And The Grenadines'),
(208, 'South Africa'),
(209, 'Sudan'),
(210, 'South Georgia And The South Sandwich Islands'),
(211, 'Suriname'),
(212, 'Svalbard And Jan Mayen'),
(213, 'Swaziland'),
(214, 'Syrian Arab Republic'),
(215, 'Tajikistan'),
(216, 'Taiwan'),
(217, 'Tanzania, United Republic Of'),
(218, 'Thailand'),
(219, 'Timor-leste'),
(220, 'Togo'),
(221, 'Tokelau'),
(222, 'Tonga'),
(223, 'Trinidad And Tobago'),
(224, 'Tristan da Cunha'),
(225, 'Chad'),
(226, 'Czech Republic'),
(227, 'Tunisia'),
(228, 'Turkey'),
(229, 'Turkmenistan'),
(230, 'Turks And Caicos Islands'),
(231, 'Tuvalu'),
(232, 'Uganda'),
(233, 'Ukraine'),
(234, 'Union der Sozialistischen Sowjetrepubliken'),
(235, 'Uruguay'),
(236, 'Uzbekistan'),
(237, 'Vanuatu'),
(238, 'Holy See (vatican City State)'),
(239, 'Venezuela'),
(240, 'United Arab Emirates'),
(241, 'United States'),
(242, 'United Kingdom'),
(243, 'Viet Nam'),
(244, 'Wallis And Futuna'),
(245, 'Christmas Island'),
(246, 'Belarus'),
(247, 'Western Sahara'),
(248, 'Central African Republic'),
(249, 'Cyprus'),
(250, 'Hungary'),
(251, 'Montenegro');

-- --------------------------------------------------------

--
-- Структура таблицы `d_controls`
--

CREATE TABLE IF NOT EXISTS `d_controls` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `c_key` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `c_text` varchar(1255) CHARACTER SET utf8 DEFAULT NULL,
  `c_type` int(11) NOT NULL,
  `c_type_param1` varchar(455) CHARACTER SET utf8 DEFAULT NULL,
  `t_style_name` varchar(100) CHARACTER SET utf8 DEFAULT NULL,
  `check_empty` int(11) NOT NULL DEFAULT '0',
  `val_id` int(11) NOT NULL,
  `val_err_msg` varchar(1255) CHARACTER SET utf8 DEFAULT NULL,
  `position` int(11) DEFAULT NULL,
  `def_value_type` int(11) DEFAULT NULL,
  `def_value_text` varchar(2255) CHARACTER SET utf8 DEFAULT NULL,
  `display_fm` varchar(1255) CHARACTER SET utf8 DEFAULT NULL,
  `max_len` int(11) DEFAULT NULL,
  `c_style_name` varchar(100) DEFAULT NULL,
  `enabled` int(11) DEFAULT '1',
  `c_type_param2` varchar(455) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=11 ;

--
-- Дамп данных таблицы `d_controls`
--

INSERT INTO `d_controls` (`id`, `c_key`, `c_text`, `c_type`, `c_type_param1`, `t_style_name`, `check_empty`, `val_id`, `val_err_msg`, `position`, `def_value_type`, `def_value_text`, `display_fm`, `max_len`, `c_style_name`, `enabled`, `c_type_param2`) VALUES
(1, 't_subject', 'Subject', 2, NULL, 't_style1', 1, 0, NULL, 1, 0, '1+1;', NULL, NULL, 'c_style1', 1, NULL),
(2, 't_body', 'Body', 3, 'null', 't_style1', 1, 0, NULL, 2, NULL, NULL, NULL, NULL, 'c_style_textarea1', 1, NULL),
(3, 'cat_id', 'Category', 1, '3', 't_style1', 1, 0, NULL, 3, NULL, NULL, NULL, NULL, 'c_style1', 1, NULL),
(4, 'dep_id', 'Department', 1, '1', 't_style1', 1, 0, NULL, 4, NULL, NULL, NULL, NULL, 'c_style1', 1, NULL),
(5, 'tech_user_id', 'Technican', 1, '2', 't_style1', 0, 0, NULL, NULL, NULL, NULL, NULL, NULL, 'c_style1', 0, NULL),
(6, 'status_id', 'Status', 1, '2', 't_style1', 0, 0, NULL, 6, NULL, NULL, 'return isset($_GET[''id'']) ? 0 : 2 ;', NULL, 'c_style1', 1, '1'),
(7, 't_priority', 'Priority', 1, '4', 't_style1', 1, 0, NULL, 5, NULL, NULL, NULL, NULL, 'c_style1', 1, NULL),
(8, 'file', 'Attachment', 6, NULL, 't_style1', 0, 0, NULL, 7, NULL, NULL, NULL, NULL, 'c_style1', 1, NULL),
(9, 'value_text', 'Name', 2, NULL, 't_style1', 1, 0, NULL, 1, NULL, NULL, NULL, NULL, 'c_style1', 1, NULL),
(10, 'dic_id', '', 2, NULL, 't_style1', 1, 0, NULL, 2, 2, 'util::GetKeyID("did","?module=dic_names");', 'return "2";', NULL, 'c_style1', 1, NULL);

-- --------------------------------------------------------

--
-- Структура таблицы `d_dics`
--

CREATE TABLE IF NOT EXISTS `d_dics` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `value_text` varchar(1200) CHARACTER SET utf8 DEFAULT NULL,
  `key_text` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `dic_id` int(11) NOT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `position` int(11) DEFAULT NULL,
  `system_code` int(11) DEFAULT NULL,
  `system_row` int(11) NOT NULL DEFAULT '0',
  `tx_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=31 ;

--
-- Дамп данных таблицы `d_dics`
--

INSERT INTO `d_dics` (`id`, `value_text`, `key_text`, `dic_id`, `parent_id`, `position`, `system_code`, `system_row`, `tx_id`) VALUES
(21, 'Sales', NULL, 1, NULL, NULL, NULL, 0, 201),
(22, 'IT', NULL, 1, NULL, NULL, NULL, 0, 202),
(23, 'Open', NULL, 2, NULL, NULL, 50, 1, 203),
(24, 'Closed', NULL, 2, NULL, NULL, 100, 1, 204),
(25, 'On Hold', NULL, 2, NULL, NULL, NULL, 1, 205),
(26, 'Hardware', NULL, 3, NULL, NULL, NULL, 0, 206),
(27, 'Software', NULL, 3, NULL, NULL, NULL, 0, 207),
(28, 'Low', NULL, 4, NULL, NULL, NULL, 1, 208),
(29, 'Medium', NULL, 4, NULL, NULL, NULL, 1, 209),
(30, 'High', NULL, 4, NULL, NULL, NULL, 1, 210);

-- --------------------------------------------------------

--
-- Структура таблицы `d_dic_names`
--

CREATE TABLE IF NOT EXISTS `d_dic_names` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dic_name` varchar(1255) CHARACTER SET utf8 DEFAULT NULL,
  `dic_desc` varchar(1255) CHARACTER SET utf8 DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `system_row` int(11) DEFAULT '0',
  `translate_array` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Дамп данных таблицы `d_dic_names`
--

INSERT INTO `d_dic_names` (`id`, `dic_name`, `dic_desc`, `parent_id`, `system_row`, `translate_array`) VALUES
(1, 'Departments', NULL, NULL, 0, NULL),
(2, 'Statuses', NULL, NULL, 1, 'STATUSES'),
(3, 'Categories', NULL, NULL, 0, NULL),
(4, 'Priorities', NULL, NULL, 1, 'PRIORITIES');

-- --------------------------------------------------------

--
-- Структура таблицы `d_files`
--

CREATE TABLE IF NOT EXISTS `d_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tx_id` int(11) NOT NULL,
  `file_name` varchar(355) CHARACTER SET utf8 DEFAULT NULL,
  `real_file_name` varchar(355) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Структура таблицы `d_pages`
--

CREATE TABLE IF NOT EXISTS `d_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page_name` varchar(1200) CHARACTER SET utf8 DEFAULT NULL,
  `page_type` int(11) NOT NULL,
  `page_type_value` varchar(655) CHARACTER SET utf8 DEFAULT NULL,
  `success_url` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Дамп данных таблицы `d_pages`
--

INSERT INTO `d_pages` (`id`, `page_name`, `page_type`, `page_type_value`, `success_url`) VALUES
(1, 'Users', 1, 'tickets', '?module=tickets'),
(2, 'Dictionaries', 1, 'd_dics', '?module=dics&id=[did]');

-- --------------------------------------------------------

--
-- Структура таблицы `d_page_control_xreff`
--

CREATE TABLE IF NOT EXISTS `d_page_control_xreff` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page_id` int(11) NOT NULL,
  `control_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=11 ;

--
-- Дамп данных таблицы `d_page_control_xreff`
--

INSERT INTO `d_page_control_xreff` (`id`, `page_id`, `control_id`) VALUES
(1, 1, 1),
(2, 1, 2),
(3, 1, 3),
(4, 1, 4),
(5, 1, 5),
(6, 1, 6),
(7, 1, 7),
(8, 2, 9),
(9, 1, 8),
(10, 2, 10);

-- --------------------------------------------------------

--
-- Структура таблицы `d_txs`
--

CREATE TABLE IF NOT EXISTS `d_txs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page_id` int(11) NOT NULL,
  `inserted_by` int(11) NOT NULL,
  `inserted_date` datetime NOT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `updated_date` datetime DEFAULT NULL,
  `branch_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=219 ;

--
-- Дамп данных таблицы `d_txs`
--

INSERT INTO `d_txs` (`id`, `page_id`, `inserted_by`, `inserted_date`, `updated_by`, `updated_date`, `branch_id`) VALUES
(155, 2, 50006, '2014-04-28 05:26:04', NULL, NULL, 1),
(156, 2, 50006, '2014-04-28 05:33:36', NULL, NULL, 1),
(157, 2, 50006, '2014-04-28 05:33:56', NULL, NULL, 1),
(158, 2, 50006, '2014-04-28 05:34:23', NULL, NULL, 1),
(159, 2, 50006, '2014-04-28 05:34:36', NULL, NULL, 1),
(160, 2, 50006, '2014-04-28 05:36:23', NULL, NULL, 1),
(161, 2, 50006, '2014-04-28 05:36:32', NULL, NULL, 1),
(162, 2, 50006, '2014-04-28 05:36:39', NULL, NULL, 1),
(163, 2, 50006, '2014-04-28 05:36:51', NULL, NULL, 1),
(164, 2, 50006, '2014-04-29 17:50:55', 50006, '2014-05-05 13:31:41', 1),
(201, 2, 50006, '2014-05-05 13:42:28', NULL, NULL, 1),
(202, 2, 50006, '2014-05-05 13:42:31', NULL, NULL, 1),
(203, 2, 50006, '2014-05-05 13:43:15', NULL, NULL, 1),
(204, 2, 50006, '2014-05-05 13:43:19', NULL, NULL, 1),
(205, 2, 50006, '2014-05-05 13:43:26', NULL, NULL, 1),
(206, 2, 50006, '2014-05-05 13:43:45', NULL, NULL, 1),
(207, 2, 50006, '2014-05-05 13:43:50', NULL, NULL, 1),
(208, 2, 50006, '2014-05-05 13:43:58', NULL, NULL, 1),
(209, 2, 50006, '2014-05-05 13:44:02', NULL, NULL, 1),
(210, 2, 50006, '2014-05-05 13:44:08', NULL, NULL, 1),
(218, 1, 50006, '2014-05-10 09:43:47', NULL, NULL, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `d_vals`
--

CREATE TABLE IF NOT EXISTS `d_vals` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `desc` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  `regexp` varchar(255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `d_vals`
--

INSERT INTO `d_vals` (`id`, `desc`, `regexp`) VALUES
(1, NULL, '/^[0-9a-zA-Z]+$/');

-- --------------------------------------------------------

--
-- Структура таблицы `d_values`
--

CREATE TABLE IF NOT EXISTS `d_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tx_id` int(11) NOT NULL,
  `control_id` int(11) NOT NULL,
  `control_value` varchar(2255) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=197 ;

--
-- Дамп данных таблицы `d_values`
--

-- --------------------------------------------------------

--
-- Структура таблицы `email_templates`
--

CREATE TABLE IF NOT EXISTS `email_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `vars` varchar(300) DEFAULT NULL,
  `body` text,
  `subject` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AVG_ROW_LENGTH=372 AUTO_INCREMENT=7 ;

--
-- Дамп данных таблицы `email_templates`
--

INSERT INTO `email_templates` (`id`, `name`, `vars`, `body`, `subject`) VALUES
(3, 'ticket_created', '[subject],[body],[category_name],[department_name],[priority_name],[status_name],[creator_name],[url],[ticket_url]', 'Dear [department_name] employees,\n\nThe following ticket has been created :\n\nSubject : [subject]\nPriority : [priority_name]\nCategory : [category_name]\nDepartment : [department_name]\nCreated by : [creator_name]\n\nClick this link : [ticket_url]\n\nThanks', 'New ticket has been created - [subject]'),
(4, 'ticket_replied', '[subject],[body],[category_name],[department_name],[priority_name],[status_name],[creator_name],[url],[ticket_url],[replier_name]', 'Dear employees,\n\nYou have reply to the following ticket : \n\nSubject : [subject]\nCreated by : [creator_name]\nReplied by : [replier_name]\n\nClick this link : [ticket_url]\n\nThanks', 'Reply - [subject]'),
(5, 'ticket_closed', '[subject],[body],[category_name],[department_name],[priority_name],[status_name],[creator_name],[url],[ticket_url],[closer_name]', 'Dear [creator_name],\n\nYou ticket has been closed .\n\nSubject : [subject]\nCreated by : [creator_name]\nClosed by : [closer_name]\n\nClick this link : [ticket_url]\n\nThanks', 'Your ticket has been closed'),
(6, 'ticket_assigned', '[subject],[body],[category_name],[department_name],[priority_name],[status_name],[creator_name],[url],[ticket_url],[assigner_name],[technican_name]', 'Dear [technican_name],\n\nA new ticket has been assigned to you\n\nSubject : [subject]\nCreated by : [creator_name]\nAssigned by : [assigner_name]\n\nClick this link : [ticket_url]\n\nThanks', 'A new ticket has been assigned to you');

-- --------------------------------------------------------

--
-- Структура таблицы `imported_users`
--

CREATE TABLE IF NOT EXISTS `imported_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL DEFAULT '',
  `surname` varchar(255) NOT NULL DEFAULT '',
  `user_name` varchar(150) NOT NULL DEFAULT '',
  `password` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(150) NOT NULL,
  `branch_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  `dep_id` int(11) DEFAULT NULL,
  `user_type` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

-- --------------------------------------------------------

--
-- Структура таблицы `modules`
--

CREATE TABLE IF NOT EXISTS `modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id of module',
  `module_name` varchar(255) DEFAULT NULL COMMENT 'the name of menu item',
  `file_name` varchar(255) DEFAULT NULL COMMENT 'the file name from that should be in "modules" folder',
  `parent_id` int(11) DEFAULT '0' COMMENT 'parent id of menu . linked to id column of this table',
  `priority` varchar(255) DEFAULT '0' COMMENT 'order of menu item',
  `access_key` varchar(255) DEFAULT NULL COMMENT 'key to access this menu item from php code',
  `can_be_default` int(11) NOT NULL DEFAULT '0' COMMENT '1 =  can be used as default page for role , 0 cannot be',
  `is_active` int(11) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=35 ;

--
-- Дамп данных таблицы `modules`
--

INSERT INTO `modules` (`id`, `module_name`, `file_name`, `parent_id`, `priority`, `access_key`, `can_be_default`, `is_active`) VALUES
(1, 'Tickets', NULL, 0, '1', NULL, 0, 1),
(3, 'Tickets', 'tickets', 1, '2', 'tickets', 1, 1),
(4, 'Local users', 'local_users', 13, '4', 'local_users', 1, 1),
(11, 'New User', 'add_edit_user', 13, '7', 'add_edit_user', 0, 1),
(13, 'Users', '', 0, '4', '', 0, 1),
(20, 'Change password', 'change_password', 13, '8', 'change_password', 0, 1),
(21, 'Settings', NULL, 0, '6', NULL, 0, 1),
(22, 'Email templates', 'email_templates', 21, '0', 'email_templates', 0, 1),
(25, 'Test mail', 'test_mail', 21, '3', 'test_mail', 0, 1),
(26, 'Imported users', 'imported_users', 13, '5', 'imported_users', 1, 1),
(28, 'Create ticket', 'add_edit_ticket', 1, '4', 'create_ticket', 0, 1),
(29, 'Roles', 'roles', 13, '0', 'roles', 0, 1),
(31, 'Branches', 'branches', 21, '-1', 'branches', 0, 1),
(32, 'User groups', 'user_groups', 13, '2', 'user_groups', 0, 1),
(34, 'Dictionaries', 'dic_names', 21, '4', 'dic_names', 0, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `modules_access`
--

CREATE TABLE IF NOT EXISTS `modules_access` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `access_name` varchar(355) CHARACTER SET utf8 NOT NULL COMMENT 'the name of access ',
  `parent_id` int(11) NOT NULL COMMENT 'id of module from "modules" table',
  `access_key` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT 'access key for accessing from php code',
  `priority` int(11) DEFAULT NULL COMMENT 'order ',
  PRIMARY KEY (`id`),
  KEY `FK_modules_access_modules_id` (`parent_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=63 ;

--
-- Дамп данных таблицы `modules_access`
--

INSERT INTO `modules_access` (`id`, `access_name`, `parent_id`, `access_key`, `priority`) VALUES
(5, 'View tickets', 3, 'view_tickets', NULL),
(6, 'Create ticket', 3, 'create_ticket', NULL),
(7, 'Edit ticket', 3, 'edit_ticket', NULL),
(8, 'Delete ticket', 3, 'delete_ticket', NULL),
(28, 'View roles', 29, 'view_roles', NULL),
(29, 'Add role', 29, 'add_role', NULL),
(30, 'Delete role', 29, 'delete_role', NULL),
(31, 'Edit role', 29, 'edit_role', NULL),
(32, 'View local users', 4, 'view_local_users', NULL),
(33, 'Add local user', 4, 'add_local_user', NULL),
(34, 'Edit local user', 4, 'edit_local_user', NULL),
(35, 'Delete local user', 4, 'delete_local_user', NULL),
(37, 'View imported users', 26, 'view_imp_users', NULL),
(39, 'View mail templates', 22, 'view_mail_templates', NULL),
(40, 'Edit mail templates', 22, 'edit_mail_templates', NULL),
(45, 'Access management', 29, 'acc_man', NULL),
(46, 'View branches', 31, 'view_branch', NULL),
(47, 'Add branch', 31, 'add_branch', NULL),
(48, 'Edit branch', 31, 'edit_branch', NULL),
(49, 'Delete branch', 31, 'delete_branch', NULL),
(53, 'View user groups', 32, 'view_groups', NULL),
(54, 'Delete user group', 32, 'delete_user_group', NULL),
(55, 'Add user group', 32, 'add_user_group', NULL),
(56, 'Edit user group', 32, 'edit_user_group', NULL),
(57, 'Assign ticket', 3, 'assign_ticket', NULL),
(58, 'Close ticket', 3, 'close_ticket', NULL),
(59, 'Mark as Unread', 3, 'unread_ticket', NULL),
(60, 'Read ticket', 3, 'read_ticket', NULL),
(61, 'Reply ticket', 3, 'reply_ticket', NULL),
(62, 'Delete reply', 3, 'delete_reply_ticket', NULL);

-- --------------------------------------------------------

--
-- Структура таблицы `pages`
--

CREATE TABLE IF NOT EXISTS `pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `page_name` varchar(800) NOT NULL,
  `page_content` text NOT NULL,
  `priority` int(11) NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `page_type` int(11) DEFAULT '1',
  `link_url` varchar(455) CHARACTER SET utf8 DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=24 ;



CREATE TABLE IF NOT EXISTS `roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_name` varchar(455) CHARACTER SET utf8 NOT NULL,
  `role_desc` varchar(800) CHARACTER SET utf8 DEFAULT NULL,
  `access_type` int(11) NOT NULL DEFAULT '1',
  `system_row` int(11) DEFAULT '0',
  `default_page` int(11) DEFAULT NULL,
  `allow_export` int(11) NOT NULL DEFAULT '1',
  `default_view` int(11) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=12 ;

--
-- Дамп данных таблицы `roles`
--

INSERT INTO `roles` (`id`, `role_name`, `role_desc`, `access_type`, `system_row`, `default_page`, `allow_export`, `default_view`) VALUES
(1, 'System Administrators', 'system administrators', 1, 1, 3, 1, 3),
(2, 'Users', 'users', 3, 2, 3, 1, 1),
(11, 'Technicans', 'technicans', 1, 3, 3, 1, 2);

-- --------------------------------------------------------

--
-- Структура таблицы `roles_access_rights`
--

CREATE TABLE IF NOT EXISTS `roles_access_rights` (
  `role_id` int(11) NOT NULL,
  `access_id` int(11) NOT NULL,
  KEY `roles_access_rights_ibfk_1` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Дамп данных таблицы `roles_access_rights`
--

INSERT INTO `roles_access_rights` (`role_id`, `access_id`) VALUES
(1, 5),
(1, 6),
(1, 7),
(1, 8),
(1, 57),
(1, 58),
(1, 59),
(1, 60),
(1, 61),
(1, 62),
(1, 28),
(1, 29),
(1, 30),
(1, 31),
(1, 45),
(1, 53),
(1, 54),
(1, 55),
(1, 56),
(1, 32),
(1, 33),
(1, 34),
(1, 35),
(1, 36),
(1, 37),
(1, 38),
(1, 46),
(1, 47),
(1, 48),
(1, 49),
(1, 39),
(1, 40),
(2, 5),
(2, 6),
(2, 58),
(2, 59),
(2, 60),
(2, 61),
(11, 5),
(11, 6),
(11, 7),
(11, 8),
(11, 57),
(11, 58),
(11, 59),
(11, 60),
(11, 61),
(11, 62);

-- --------------------------------------------------------

--
-- Структура таблицы `roles_pages`
--

CREATE TABLE IF NOT EXISTS `roles_pages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) NOT NULL,
  `page_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `roles_pages_ibfk_1` (`role_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=181 ;

--
-- Дамп данных таблицы `roles_pages`
--

INSERT INTO `roles_pages` (`id`, `role_id`, `page_id`) VALUES
(141, 1, 1),
(142, 1, 22),
(143, 1, 21),
(144, 1, 20),
(145, 1, 23),
(146, 1, 2),
(147, 1, 4),
(148, 1, 8),
(149, 1, 9),
(150, 1, 13),
(171, 2, 1),
(172, 2, 22),
(173, 2, 21),
(174, 2, 20),
(175, 2, 23),
(176, 2, 2),
(177, 2, 4),
(178, 2, 8),
(179, 2, 9),
(180, 2, 13);

-- --------------------------------------------------------

--
-- Структура таблицы `roles_rights`
--

CREATE TABLE IF NOT EXISTS `roles_rights` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) DEFAULT NULL,
  `module_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`Id`),
  KEY `roles_rights_ibfk_1` (`role_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=545 ;

--
-- Дамп данных таблицы `roles_rights`
--

INSERT INTO `roles_rights` (`Id`, `role_id`, `module_id`) VALUES
(544, 11, 20),
(490, 2, 28),
(489, 2, 3),
(543, 11, 28),
(542, 11, 3),
(470, 1, 34),
(469, 1, 25),
(488, 2, 13),
(487, 2, 1),
(491, 2, 20),
(467, 1, 22),
(466, 1, 31),
(465, 1, 20),
(464, 1, 11),
(463, 1, 26),
(462, 1, 4),
(461, 1, 32),
(460, 1, 29),
(39, 4, 2),
(38, 4, 1),
(40, 4, 3),
(459, 1, 28),
(458, 1, 3),
(457, 1, 21),
(456, 1, 13),
(268, 5, 2),
(267, 5, 1),
(376, 9, 25),
(541, 11, 13),
(374, 9, 23),
(373, 9, 33),
(372, 9, 22),
(371, 9, 31),
(370, 9, 19),
(369, 9, 18),
(368, 9, 20),
(367, 9, 11),
(366, 9, 26),
(365, 9, 4),
(364, 9, 32),
(363, 9, 29),
(362, 9, 7),
(361, 9, 6),
(360, 9, 28),
(359, 9, 27),
(358, 9, 12),
(357, 9, 3),
(356, 9, 2),
(355, 9, 21),
(354, 9, 17),
(353, 9, 13),
(352, 9, 5),
(351, 9, 1),
(350, 9, 30),
(403, 10, 25),
(540, 11, 1),
(401, 10, 23),
(400, 10, 33),
(399, 10, 22),
(398, 10, 31),
(397, 10, 19),
(396, 10, 18),
(395, 10, 20),
(394, 10, 11),
(393, 10, 26),
(392, 10, 4),
(391, 10, 32),
(390, 10, 29),
(389, 10, 7),
(388, 10, 6),
(387, 10, 28),
(386, 10, 27),
(385, 10, 12),
(384, 10, 3),
(383, 10, 2),
(382, 10, 21),
(381, 10, 17),
(380, 10, 13),
(379, 10, 5),
(378, 10, 1),
(377, 10, 30),
(455, 1, 1),
(454, 12, 29),
(453, 12, 3),
(452, 12, 13),
(451, 12, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `tickets`
--

CREATE TABLE IF NOT EXISTS `tickets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `t_priority` int(11) NOT NULL,
  `dep_id` int(11) DEFAULT NULL,
  `tech_user_id` int(11) DEFAULT NULL,
  `cat_id` int(11) DEFAULT NULL,
  `status_id` int(11) NOT NULL,
  `t_subject` varchar(800) CHARACTER SET utf8 DEFAULT NULL,
  `t_body` text CHARACTER SET utf8,
  `tx_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=151 ;

--
-- Дамп данных таблицы `tickets`
--

INSERT INTO `tickets` (`id`, `t_priority`, `dep_id`, `tech_user_id`, `cat_id`, `status_id`, `t_subject`, `t_body`, `tx_id`) VALUES
(150, 29, 22, NULL, 27, 23, 'Welcome to Ant-Helpdesk', 'Dear User,\r\n\r\nWelcome to Ant-Helpdesk system .\r\n\r\nContact us at : els11@yandex.ru', 218);

-- --------------------------------------------------------

--
-- Структура таблицы `ticket_read`
--

CREATE TABLE IF NOT EXISTS `ticket_read` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ticket_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `viewed` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Структура таблицы `ticket_replies`
--

CREATE TABLE IF NOT EXISTS `ticket_replies` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ticket_id` int(11) DEFAULT NULL,
  `tr_body` text,
  `inserted_by` int(11) NOT NULL,
  `inserted_date` datetime NOT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `updated_date` datetime DEFAULT NULL,
  `branch_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=175 ;

-- --------------------------------------------------------

--
-- Структура таблицы `ticket_views`
--

CREATE TABLE IF NOT EXISTS `ticket_views` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `view_name` varchar(455) CHARACTER SET utf8 NOT NULL,
  `sql_query` varchar(1255) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Дамп данных таблицы `ticket_views`
--

INSERT INTO `ticket_views` (`id`, `view_name`, `sql_query`) VALUES
(1, 'My tickets', 'tx.inserted_by = [user_id]'),
(2, 'My pending tickets', 't.tech_user_id = [user_id]'),
(3, 'All tickets', ''),
(4, 'My branch tickets', 'tx.branch_id = [branch_id]'),
(5, 'My closed tickets', 't.status_id=24 and tx.inserted_by = [user_id]'),
(6, 'My "On Hold" tickets', 't.status_id=25 and tx.inserted_by = [user_id]'),
(7, 'My Open tickets', 't.status_id=23 and tx.inserted_by = [user_id]');

-- --------------------------------------------------------

--
-- Структура таблицы `treply_files`
--

CREATE TABLE IF NOT EXISTS `treply_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reply_id` int(11) NOT NULL,
  `file_name` varchar(355) CHARACTER SET utf8 DEFAULT NULL,
  `real_file_name` varchar(355) CHARACTER SET utf8 DEFAULT NULL,
  `ticket_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AVG_ROW_LENGTH=481 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Структура таблицы `tview_role_xreff`
--

CREATE TABLE IF NOT EXISTS `tview_role_xreff` (
  `role_id` int(11) NOT NULL,
  `tview_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Дамп данных таблицы `tview_role_xreff`
--

INSERT INTO `tview_role_xreff` (`role_id`, `tview_id`) VALUES
(12, 1),
(12, 2),
(12, 3),
(12, 4),
(12, 6),
(1, 1),
(1, 2),
(1, 3),
(1, 4),
(1, 5),
(1, 6),
(1, 7),
(2, 1),
(2, 5),
(2, 6),
(2, 7),
(13, 1),
(13, 5),
(11, 1),
(11, 2),
(11, 3),
(11, 4),
(11, 5),
(11, 6),
(11, 7);

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `UserID` int(11) NOT NULL AUTO_INCREMENT COMMENT 'auto increment',
  `UserName` varchar(50) NOT NULL COMMENT 'The login of user',
  `Password` varchar(50) NOT NULL COMMENT 'Password of user',
  `Name` varchar(150) NOT NULL COMMENT 'Name of user',
  `Surname` varchar(150) NOT NULL COMMENT 'Surname of user',
  `added_date` datetime NOT NULL COMMENT 'date and time of record created',
  `user_type` int(11) DEFAULT NULL COMMENT 'id from the roles_table',
  `email` varchar(200) CHARACTER SET utf8 DEFAULT NULL COMMENT 'email of user',
  `address` varchar(200) NOT NULL COMMENT 'address of user',
  `phone` varchar(50) NOT NULL COMMENT 'phone number of user',
  `random_str` varchar(100) DEFAULT NULL COMMENT 'random string generated for approving while registering',
  `approved` int(11) NOT NULL COMMENT '1 = approved , 0 = unapproved (for self registration)',
  `disabled` int(11) NOT NULL COMMENT '1 = disabled , 0 = active',
  `user_photo` varchar(500) DEFAULT NULL COMMENT 'the name of profile picture file ',
  `branch_id` int(11) NOT NULL COMMENT 'id from branches table',
  `inserted_by` int(11) DEFAULT NULL COMMENT 'id of user that created the row',
  `inserted_date` datetime DEFAULT NULL COMMENT 'date of creating this row',
  `updated_by` int(11) DEFAULT NULL COMMENT 'id of user that updated the row',
  `updated_date` datetime DEFAULT NULL COMMENT 'date of update',
  `group_id` int(11) NOT NULL COMMENT 'id from user_groups table',
  `self_registered` int(11) NOT NULL DEFAULT '0' COMMENT '1 = self registered , 0 = registered from admin panel',
  `comments` varchar(550) CHARACTER SET utf8 DEFAULT NULL COMMENT 'just comments',
  `system_row` varchar(255) NOT NULL DEFAULT '0' COMMENT '1 = system row , cannot be deleted , 0 = just a row',
  `dep_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`UserID`),
  UNIQUE KEY `login_unique` (`UserName`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=50007 ;

--
-- Дамп данных таблицы `users`
--

INSERT INTO `users` (`UserID`, `UserName`, `Password`, `Name`, `Surname`, `added_date`, `user_type`, `email`, `address`, `phone`, `random_str`, `approved`, `disabled`, `user_photo`, `branch_id`, `inserted_by`, `inserted_date`, `updated_by`, `updated_date`, `group_id`, `self_registered`, `comments`, `system_row`, `dep_id`) VALUES
(50006, 'sysadmin', '48a365b4ce1e322a55ae9017f3daf0c0', 'System', 'Administrator', '0000-00-00 00:00:00', 1, 'yourmail@gmail.com', '', '', NULL, 1, 0, '5876658f6863dfbf8065e4b2cf697bea.jpg', 1, NULL, NULL, 50006, '2014-05-10 09:29:51', -1, 0, '', '1', 22);

-- --------------------------------------------------------

--
-- Структура таблицы `user_groups`
--

CREATE TABLE IF NOT EXISTS `user_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_name` varchar(555) CHARACTER SET utf8 NOT NULL,
  `group_desc` varchar(555) CHARACTER SET utf8 NOT NULL,
  `is_default` int(11) NOT NULL,
  `inserted_by` int(11) DEFAULT NULL,
  `inserted_date` datetime DEFAULT NULL,
  `updated_by` int(11) DEFAULT NULL,
  `updated_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AVG_ROW_LENGTH=5461 AUTO_INCREMENT=12 ;

--
-- Дамп данных таблицы `user_groups`
--

INSERT INTO `user_groups` (`id`, `group_name`, `group_desc`, `is_default`, `inserted_by`, `inserted_date`, `updated_by`, `updated_date`) VALUES
(11, 'group 1 ', 'asdas', 0, 1, '2014-04-22 00:40:31', NULL, NULL);

-- --------------------------------------------------------

--
-- Дублирующая структура для представления `v_all_users`
--
CREATE TABLE IF NOT EXISTS `v_all_users` (
`UserID` int(11)
,`Name` varchar(250)
,`Surname` varchar(255)
,`email` varchar(200)
,`branch_id` int(11)
,`group_id` int(11)
,`dep_id` int(11)
,`disabled` bigint(20)
,`approved` bigint(20)
,`user_type` int(11)
,`system_row` int(11)
,`FullName` varchar(506)
);
-- --------------------------------------------------------

--
-- Дублирующая структура для представления `v_imported_users`
--
CREATE TABLE IF NOT EXISTS `v_imported_users` (
`UserID` int(11)
,`Name` varchar(250)
,`Surname` varchar(255)
,`UserName` varchar(150)
,`Password` varchar(150)
,`email` varchar(150)
,`branch_id` int(11)
,`group_id` int(11)
,`dep_id` int(11)
,`user_type` int(11)
,`user_photo` varchar(11)
);
-- --------------------------------------------------------

--
-- Структура для представления `v_all_users`
--
DROP TABLE IF EXISTS `v_all_users`;

CREATE ALGORITHM=UNDEFINED  SQL SECURITY DEFINER VIEW `v_all_users` AS select `users`.`UserID` AS `UserID`,`users`.`Name` AS `Name`,`users`.`Surname` AS `Surname`,`users`.`email` AS `email`,`users`.`branch_id` AS `branch_id`,`users`.`group_id` AS `group_id`,`users`.`dep_id` AS `dep_id`,`users`.`disabled` AS `disabled`,`users`.`approved` AS `approved`,`users`.`user_type` AS `user_type`,`r`.`system_row` AS `system_row`,concat(`users`.`Name`,' ',`users`.`Surname`) AS `FullName` from (`users` join `roles` `r` on((`r`.`id` = `users`.`user_type`))) union select `v_imported_users`.`UserID` AS `UserID`,`v_imported_users`.`Name` AS `Name`,`v_imported_users`.`Surname` AS `Surname`,`v_imported_users`.`email` AS `email`,`v_imported_users`.`branch_id` AS `branch_id`,`v_imported_users`.`group_id` AS `group_id`,`v_imported_users`.`dep_id` AS `dep_id`,0 AS `disabled`,1 AS `approved`,`v_imported_users`.`user_type` AS `user_type`,`r`.`system_row` AS `system_row`,concat(`v_imported_users`.`Name`,' ',`v_imported_users`.`Surname`) AS `FullName` from (`v_imported_users` join `roles` `r` on((`r`.`id` = `v_imported_users`.`user_type`)));

-- --------------------------------------------------------

--
-- Структура для представления `v_imported_users`
--
DROP TABLE IF EXISTS `v_imported_users`;

CREATE ALGORITHM=UNDEFINED  SQL SECURITY DEFINER VIEW `v_imported_users` AS select `imported_users`.`id` AS `UserID`,`imported_users`.`name` AS `Name`,`imported_users`.`surname` AS `Surname`,`imported_users`.`user_name` AS `UserName`,`imported_users`.`password` AS `Password`,`imported_users`.`email` AS `email`,`imported_users`.`branch_id` AS `branch_id`,`imported_users`.`group_id` AS `group_id`,`imported_users`.`dep_id` AS `dep_id`,`imported_users`.`user_type` AS `user_type`,'nophoto.jpg' AS `user_photo` from `imported_users`;

--
-- Ограничения внешнего ключа сохраненных таблиц
--

--
-- Ограничения внешнего ключа таблицы `roles_access_rights`
--
ALTER TABLE `roles_access_rights`
  ADD CONSTRAINT `roles_access_rights_ibfk_1` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE;

--
-- Ограничения внешнего ключа таблицы `roles_pages`
--
ALTER TABLE `roles_pages`
  ADD CONSTRAINT `roles_pages_ibfk_1` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE;
